<CsoundSynthesizer>
<CsOptions>
;-odac0 -b1024 -B2048		; realtime audio out
-obitreduce_sample.wav		; output to audio file
</CsOptions>
<CsInstruments>

sr = 48000
ksmps = 10
nchnls = 2
0dbfs = 1

;***************************************************
;ftables
;***************************************************
giSample1	ftgen	0, 0, 0, 1, "Askil2_4_mono.wav", 0, 0, 0
giSample2	ftgen	0, 0, 0, 1, "MoodySlide2_110.wav", 0, 0, 0

;***************************************************
; bit reduction
;***************************************************
instr	1

  iamp = ampdbfs(p4)
  iSpeed = p5
  iOrig = 1

  iBits = p6 ; bit depth
  iQuantize = powoftwo(iBits-1) ; find number of discrete steps for this bit depth

; audio generator
  a1 loscil 1, iSpeed, giSample2, iOrig ; sample play
  aQuantize = round(a1 * iQuantize)/iQuantize ; quantize audio signal (bit reduce)

; audio out
  outs aQuantize*iamp, aQuantize*iamp ; output bit reduced wave (both channels)

endin
;***************************************************

</CsInstruments>
<CsScore>

; 	start	dur	amp	cps 	bits
i1	0	2	-1	1	16
i1	^+3	2	-1	1	14
i1	^+3	2	-1	1	12
i1	^+3	2	-1	1	11
i1	^+3	2	-1	1	10
i1	^+3	2	-1	1	9
i1	^+3	2	-1	1	8
i1	^+3	2	-1	1	7
i1	^+3	2	-1	1	6
i1	^+3	2	-1	1	5
i1	^+3	2	-1	1	4
i1	^+3	2	-1	1	3
i1	^+3	2	-1	1	2
i1	^+3	2	-1	1	1

e

</CsScore>
</CsoundSynthesizer>
