<CsoundSynthesizer>
<CsOptions>
;-odac0 -b1024 -B2048		; realtime audio out
-obitreduce_sample_dynamic1.wav	; output to audio file
</CsOptions>
<CsInstruments>

sr = 48000
ksmps = 10
nchnls = 2
0dbfs = 1

;***************************************************
;ftables
;***************************************************

giSine		ftgen	0, 0, 65536, 10, 1	; sine
giSample	ftgen	0, 0, 0, 1, "Askil2_4_mono.wav", 0, 0, 0

;***************************************************
; bit reduction
;***************************************************
instr	1

 iamp = ampdbfs(p4)
 iSpeed	= p5
 iOrig = 1

 kBits line 8, p3, 1 ; bit depth
 kQuantize = powoftwo(kBits-1) ; find number of discrete steps for this bit depth
 ; kQuantize = round(powoftwo(kBits-1)) ; If we do not want fractional bit depth we would need to round this value too

; audio generator
 a1 loscil 1, iSpeed, giSample, iOrig ; sample play
 aQuantize = round(a1 * kQuantize)/kQuantize ; quantize audio signal (bit reduce)

; audio out
 outs a1*iamp, aQuantize*iamp ; output clean signal (left), and bit reduced wave (right)

endin
;***************************************************

</CsInstruments>
<CsScore>

; 	start	dur	amp	cps
i1	0	18.18	-3	1
e

</CsScore>
</CsoundSynthesizer>
