<CsoundSynthesizer>
<CsOptions>
;-odac0 -b1024 -B2048		; realtime audio out
-ocrossfade.wav			; output to audio file
</CsOptions>
<CsInstruments>

	sr = 48000
	ksmps = 10
	nchnls = 2
	0dbfs = 1

;***************************************************
;ftables
;***************************************************

	giSine		ftgen	0, 0, 65536, 10, 1	; sine

;***************************************************
; crossfade instrument
;***************************************************
	instr	1

	iamp		= ampdbfs(p4)

; audio generator, two uncorrelated noise sources
	a1		rnd31	iamp, 1
	a2		rnd31	iamp, 1

; crossfade
	kCross		line	0, p3, 1

	; linear crossfade
	aOut1		= (a1*kCross) + (a2*(1-kCross))

	; (square root) equal power crossfade
	aOut2		= (a1*sqrt(kCross)) + (a2*sqrt(1-kCross))

	; (sin) equal power crossfade
	aOut3		= (a1*sin(kCross*1.5708)) + (a2*cos(kCross*1.5708))

; audio out
	outs		aOut1, aOut3
	endin
;***************************************************

</CsInstruments>
<CsScore>

; 	start	dur	amp
i1	1	4	-10

e

</CsScore>
</CsoundSynthesizer>
