<CsoundSynthesizer>
<CsOptions>
;-odac0 -b1024 -B2048		; realtime audio out
-odownsample_Sample_dynamic.wav		; output to audio file 
</CsOptions>
<CsInstruments>

sr = 48000
ksmps = 100
nchnls = 2	
0dbfs = 1

;***************************************************
;ftables
;***************************************************

giSine		ftgen	0, 0, 65536, 10, 1	; sine
giSample	ftgen	0, 0, 0, 1, "Askil2_4_mono.wav", 0, 0, 0

;***************************************************
; downsampling
;***************************************************
instr	1

  iamp		= ampdbfs(p4)
  kSampleRate	linseg 12000, p3-2, 15, 2, 15		; downsample to this sample rate

  ; audio generator
  iSpeed	= 1
  iOrig		= 1
  a1		loscil	1, iSpeed, giSample, iOrig	; sample play

  ; downsample 
  aSampleClock	mpulse	1, 1/kSampleRate		; new sample clock !!!will be integer ratio of our working sample rate!!!
  aDownsamp	samphold a1, aSampleClock		; sample and hold (downsample)

  ; audio out
  outs		aDownsamp*iamp, aDownsamp*iamp		; output downsampled wave 

endin
;***************************************************

</CsInstruments>
<CsScore>

; 	start	dur	amp	
i1	0	20	-0	

e

</CsScore>
</CsoundSynthesizer>
