<CsoundSynthesizer>
<CsOptions>
;-odac0 -b1024 -B2048		; realtime audio out
-oPan.wav			; output to audio file
</CsOptions>
<CsInstruments>

	sr = 44100
	ksmps = 10
	nchnls = 2
	0dbfs = 1

;***************************************************
;ftables
;***************************************************
 giSample ftgen 0, 0, 0, 1, "MoodySlide2_110.wav", 0, 0, 0

;***************************************************
; sample player instrument
;***************************************************
instr	1

 iamp = ampdbfs(p4)
 iPanMethod = p5

; audio generator
 ;a1 loscil iamp, 1, giSample, 1
 ;a1 oscil iamp, 440
 a1 rnd31 iamp,1

; pan
 kPan line 0, p3, 1
; kPan linseg 0, 0.2, 0, p3-0.4, 1, 0.2, 1

if iPanMethod == 1 goto linear
if iPanMethod == 2 goto sinoid
if iPanMethod == 3 goto sqroot

linear:
 ; linear pan
 aLeft = a1*(1-kPan)
 aRight = a1*kPan
goto done

sinoid:
 ; (sin/cos) equal power panning
 kAngle = 1.57079633 * kPan
 aLeft = a1 * cos(kAngle)
 aRight = a1 * sin(kAngle)
goto done

sqroot:
 ; (square root) equal power panning
 aLeft = a1 * sqrt(1-kPan)
 aRight = a1 * sqrt(kPan)
goto done

done:

; audio out
	outs		aLeft, aRight

	endin
;***************************************************

</CsInstruments>
<CsScore>

; 	start	dur	amp	panMethod
i1	1	5	-4	1
i1	^+6	.	.	2
i1	^+6	.	.	3
e

</CsScore>
</CsoundSynthesizer>
