<CsoundSynthesizer>
<CsOptions>
;-odac0 -b1024 -B2048		; realtime audio out
-odownsample_Sample.wav		; output to audio file 
</CsOptions>
<CsInstruments>

	sr = 48000
	ksmps = 100
	nchnls = 2	
	0dbfs = 1

;***************************************************
;ftables
;***************************************************

	giSine		ftgen	0, 0, 65536, 10, 1	; sine
	giSample	ftgen	0, 0, 0, 1, "Askil2_4_mono.wav", 0, 0, 0

;***************************************************
; downsampling
;***************************************************
	instr	1

	iamp		= ampdbfs(p4)
	iSampleRate	= p5					; downsample to this sample rate

; audio generator
	iSpeed		= 1
	iOrig		= 1
	a1		loscil	1, iSpeed, giSample, iOrig	; sample play

; downsample 
	aSampleClock	mpulse	1, 1/iSampleRate		; new sample clock
	aDownsamp	samphold a1, aSampleClock		; sample and hold (downsample)

; audio out
	outs		aDownsamp*iamp, aDownsamp*iamp		; output clean signal (left), and downsampled wave (right)

	endin
;***************************************************

</CsInstruments>
<CsScore>

i1	0	1.5	-0	48000
i1	^+2	.	.	24000
i1	^+2	.	.	12000
i1	^+2	.	.	9600
i1	^+2	.	.	6857
i1	^+2	.	.	5333
i1	^+2	.	.	4800

i1	^+3	.	.	2400
i1	^+2	.	.	1600
i1	^+2	.	.	1200
i1	^+2	.	.	1066
i1	^+2	.	.	960

i1	^+3	.	.	480
i1	^+2	.	.	400
i1	^+2	.	.	250
i1	^+2	.	.	200
i1	^+2	.	.	150
i1	^+2	.	.	100

e

</CsScore>
</CsoundSynthesizer>
