<CsoundSynthesizer>
<CsOptions>
;-odac0 -b1024 -B2048		; realtime audio out
-odownsample_dynamic.wav		; output to audio file
</CsOptions>
<CsInstruments>

	sr = 48000
	ksmps = 100
	nchnls = 2
	0dbfs = 1


;***************************************************
; downsampling
;***************************************************
	instr	1

	iamp		= ampdbfs(p4)
	icps		= p5
	kSampleRate	line 1500, p3, 50			; downsample to this sample rate

; audio generator
	a1		oscil	1, icps		; sine wave

; downsample
	aSampleClock	mpulse	1, 1/kSampleRate	; new sample clock !!!will be integer ratio of our working sample rate!!!
	aDownsamp	samphold a1, aSampleClock	; sample and hold (downsample)

; audio out
	outs		a1*iamp, aDownsamp*iamp		; output clean signal (left), and downsampled wave (right)

	endin
;***************************************************

</CsInstruments>
<CsScore>

; 	start	dur	amp	cps
i1	0	16	-0	440

e

</CsScore>
</CsoundSynthesizer>
