<CsoundSynthesizer>
<CsOptions>
;-odac0 -b1024 -B2048		; realtime audio out
-ofold.wav		; output to audio file
</CsOptions>
<CsInstruments>

	sr = 48000
	ksmps = 100
	nchnls = 2
	0dbfs = 1

;***************************************************
;ftables
;***************************************************

	giSine		ftgen	0, 0, 65536, 10, 1	; sine

;***************************************************
; foldover
;***************************************************
	instr	1

	iamp		= ampdbfs(p4)
	icps		= p5
	iFold	        = p6				; foldover divisor

; audio generator
	a1		oscili	1, icps, giSine		; sine wave

; foldover
	aFold	        fold a1, iFold	                ; artificial foldover

; audio out
	outs		a1*iamp, aFold*iamp		; output clean signal (left), and downsampled wave (right)

	endin
;***************************************************

</CsInstruments>
<CsScore>

; 	start	dur	amp	cps 	fold
i1	0	1	-0	480	1
i1	^+2	.	.	.	2
i1	^+2	.	.	.	4
i1	^+2	.	.	.	4.5
i1	^+2	.	.	.	5
i1	^+2	.	.	.	6
i1	^+2	.	.	.	7
i1	^+2	.	.	.	8
i1	^+2	.	.	.	9
i1	^+2	.	.	.	10

i1	^+3	.	.	.	20
i1	^+2	.	.	.	30
i1	^+2	.	.	.	40
i1	^+2	.	.	.	45

i1	^+3	.	.	.	49		; nyquist +
i1	^+2	.	.	.	50		; nyquist
i1	^+2	.	.	.	51		; nyquist -

i1	^+3	.	.	.	100
i1	^+2	.	.	.	120
i1	^+2	.	.	.	192
i1	^+2	.	.	.	240
i1	^+2	.	.	.	320
i1	^+2	.	.	.	480

e

</CsScore>
</CsoundSynthesizer>
