<Cabbage>
form size(270, 170), caption("Cool plugin yeah"), pluginId("new1"), colour(20,40,50)
rslider channel("Bits"), bounds(30, 25, 100, 100), text("Bits"), range(1, 16, 16, 0.35, 0.1)
rslider channel("Volume"), bounds(140, 25, 100, 100), text("Volume"), range(0, 1, 0.5, 0.35)
</Cabbage>

<CsoundSynthesizer>
<CsOptions>
-n -d
</CsOptions>
<CsInstruments>

;sr = 48000 ; let the DAW control our sampling rate
ksmps = 64
nchnls = 2
0dbfs = 1

;***************************************************
; bit reduction
;***************************************************
instr	1

 kBits chnget "Bits" ; bit depth
 kQuantize = powoftwo(kBits-1) ; find number of discrete steps for this bit depth
 
; audio in
 a1,a2 ins
 aQuantize1 = round(a1 * kQuantize)/kQuantize ; quantize audio signal (bit reduce)
 aQuantize2 = round(a2 * kQuantize)/kQuantize	; quantize audio signal (bit reduce)

; audio out
 kVolume chnget "Volume"
 outs aQuantize1*kVolume, aQuantize2*kVolume

endin
;***************************************************

</CsInstruments>
<CsScore>

; 	start	dur
i1	0	84600
e

</CsScore>
</CsoundSynthesizer>
